#ifndef MARS_MReportRun
#define MARS_MReportRun

#ifndef MARS_MReport
#include "MReport.h"
#endif

class MReportRun : public MReport
{
private:
    Int_t   fRunNumber;
    TString fSourceName;

    Bool_t InterpreteBody(TString &str);

public:
    MReportRun();

    const TString &GetSourceName() const { return fSourceName; }
    TString GetSourceName() { return fSourceName; }

    Int_t GetRunNumber() const { return fRunNumber; }

    ClassDef(MReportRun, 0) // Class for RUN-REPORT information
};

#endif
